export declare const ImageStylePropTypes: {
    resizeMode: import("prop-types").Requireable<string>;
    display: import("prop-types").Requireable<string>;
    color: import("prop-types").Requireable<string | number>;
    shadowColor: import("prop-types").Requireable<string | number>;
    shadowInner: import("prop-types").Requireable<boolean>;
    shadowSpread: import("prop-types").Requireable<number>;
    shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
        width: import("prop-types").Requireable<number>;
        height: import("prop-types").Requireable<number>;
    }>>;
    shadowOpacity: import("prop-types").Requireable<number>;
    shadowRadius: import("prop-types").Requireable<number>;
    width: import("prop-types").Requireable<number>;
    height: import("prop-types").Requireable<number>;
    top: import("prop-types").Requireable<number>;
    left: import("prop-types").Requireable<number>;
    right: import("prop-types").Requireable<number>;
    bottom: import("prop-types").Requireable<number>;
    minWidth: import("prop-types").Requireable<number>;
    maxWidth: import("prop-types").Requireable<number>;
    minHeight: import("prop-types").Requireable<number>;
    maxHeight: import("prop-types").Requireable<number>;
    margin: import("prop-types").Requireable<number>;
    marginVertical: import("prop-types").Requireable<number>;
    marginHorizontal: import("prop-types").Requireable<number>;
    marginTop: import("prop-types").Requireable<number>;
    marginBottom: import("prop-types").Requireable<number>;
    marginLeft: import("prop-types").Requireable<number>;
    marginRight: import("prop-types").Requireable<number>;
    padding: import("prop-types").Requireable<number>;
    paddingVertical: import("prop-types").Requireable<number>;
    paddingHorizontal: import("prop-types").Requireable<number>;
    paddingTop: import("prop-types").Requireable<number>;
    paddingBottom: import("prop-types").Requireable<number>;
    paddingLeft: import("prop-types").Requireable<number>;
    paddingRight: import("prop-types").Requireable<number>;
    position: import("prop-types").Requireable<"absolute" | "relative">;
    flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
    flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
    justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
    alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
    alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
    alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
    overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
    overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
    overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
    flex: import("prop-types").Requireable<number>;
    flexGrow: import("prop-types").Requireable<number>;
    flexShrink: import("prop-types").Requireable<number>;
    flexBasis: import("prop-types").Requireable<number>;
    aspectRatio: import("prop-types").Requireable<number>;
    zIndex: import("prop-types").Requireable<number>;
    backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
    backgroundColor: import("prop-types").Requireable<string | number>;
    borderColor: import("prop-types").Requireable<string | number>;
    borderTopColor: import("prop-types").Requireable<string | number>;
    borderRightColor: import("prop-types").Requireable<string | number>;
    borderBottomColor: import("prop-types").Requireable<string | number>;
    borderLeftColor: import("prop-types").Requireable<string | number>;
    borderRadius: import("prop-types").Requireable<number>;
    borderTopLeftRadius: import("prop-types").Requireable<number>;
    borderTopRightRadius: import("prop-types").Requireable<number>;
    borderBottomLeftRadius: import("prop-types").Requireable<number>;
    borderBottomRightRadius: import("prop-types").Requireable<number>;
    borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
    borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
    borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
    borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
    borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
    borderWidth: import("prop-types").Requireable<number>;
    borderTopWidth: import("prop-types").Requireable<number>;
    borderRightWidth: import("prop-types").Requireable<number>;
    borderBottomWidth: import("prop-types").Requireable<number>;
    borderLeftWidth: import("prop-types").Requireable<number>;
    opacity: import("prop-types").Requireable<number>;
    transform: import("prop-types").Requireable<string>;
    transformOrigin: import("prop-types").Requireable<string>;
};
