"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toSJSON = void 0;
function toSJSON(sketchObject) {
    if (!sketchObject) {
        return null;
    }
    const imm = sketchObject.immutableModelObject();
    const err = MOPointer.alloc().init();
    const data = MSJSONDataArchiver.archiveStringWithRootObject_error(imm, err);
    if (err.value() !== null) {
        console.error(err.value());
        throw new Error(err.value());
    }
    return data ? JSON.parse(data) : data;
}
exports.toSJSON = toSJSON;
