import { FileFormat1 as FileFormat } from '@sketch-hq/sketch-file-format-ts';
import { makeResizeConstraint } from './resizeConstraint';
import { generateID, makeRect } from './models';
import { makeStyle } from './style';
export var layerGroup = function (x, y, width, height, opacity, resizingConstraint) { return ({
    _class: 'group',
    do_objectID: generateID(),
    exportOptions: {
        _class: 'exportOptions',
        exportFormats: [],
        includedLayerIds: [],
        layerOptions: 0,
        shouldTrim: false,
    },
    frame: makeRect(x, y, width, height),
    isFlippedHorizontal: false,
    isFlippedVertical: false,
    isLocked: false,
    isVisible: true,
    layerListExpandedType: FileFormat.LayerListExpanded.Expanded,
    name: 'Group',
    nameIsFixed: false,
    resizingConstraint: makeResizeConstraint(resizingConstraint),
    resizingType: FileFormat.ResizeType.Stretch,
    rotation: 0,
    shouldBreakMaskChain: false,
    style: makeStyle({ opacity: opacity }),
    hasClickThrough: false,
    layers: [],
    booleanOperation: FileFormat.BooleanOperation.NA,
    isFixedToViewport: false,
}); };
