"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SymbolMasterRenderer = void 0;
const models_1 = require("../jsonUtils/models");
const SketchRenderer_1 = require("./SketchRenderer");
class SymbolMasterRenderer extends SketchRenderer_1.SketchRenderer {
    renderGroupLayer({ layout, props, }) {
        return models_1.makeSymbolMaster(models_1.makeRect(layout.left, layout.top, layout.width, layout.height), props.symbolID, props.name);
    }
}
exports.SymbolMasterRenderer = SymbolMasterRenderer;
