"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStringMeasurer = void 0;
function isNaN(num) {
    // If the value is obj-c NaN, the only way to check for it is by comparing
    // width to itself (because NaN !== NaN)
    // eslint-disable-next-line no-self-compare
    return Number.isNaN(num) || num !== num;
}
exports.createStringMeasurer = (bridge) => (textNodes) => (width = 0) => {
    const sanitizedWidth = isNaN(width) ? 0 : width;
    return textNodes.length > 0
        ? bridge.createStringMeasurer(textNodes, sanitizedWidth)
        : { width: sanitizedWidth, height: 0 };
};
