var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import * as PropTypes from 'prop-types';
import { or } from 'airbnb-prop-types';
import { StyleSheet } from '../stylesheet';
import { TextStylePropTypes } from './TextStylePropTypes';
import { ViewPropTypes } from './View';
export var TextPropTypes = __assign(__assign({}, ViewPropTypes), { style: or([PropTypes.shape(TextStylePropTypes), PropTypes.number]) });
/**
 * @example
 * <Text name='Foo' style={style}>
 *   Hello World!
 * </Text>
 */
var Text = /** @class */ (function (_super) {
    __extends(Text, _super);
    function Text() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Text.prototype.render = function () {
        return (React.createElement("sketch_text", { name: this.props.name, style: StyleSheet.flatten(this.props.style), resizingConstraint: this.props.resizingConstraint }, this.props.children));
    };
    Text.propTypes = TextPropTypes;
    return Text;
}(React.Component));
export { Text };
